#set(CMAKE_CXX_COMPILER "mpic++")
project (similarity_results_labeler)

cmake_minimum_required(VERSION 2.6)


FIND_PACKAGE(Boost COMPONENTS date_time filesystem thread program_options)

include_directories (${Matrices_SOURCE_DIR})
link_directories(${Matrices_BINARY_DIR})

include_directories(${Boost_INCLUDE_DIR})


add_executable(labeler main.cpp config.cpp)

target_link_libraries(labeler ${Boost_LIBRARIES})


target_link_libraries(labeler matrices)
target_link_libraries(labeler ${LOG4CXX_LIBRARY})
